<template>
  <el-row :gutter="20">
    <el-col :span="12">
      <el-form-item label="Фамилия" prop="">
        <el-input v-model="this.personForm.people.last_name"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Фамилия на англ." prop="">
        <el-input v-model="this.personForm.people.last_name_eng"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Имя" prop="">
        <el-input v-model="this.personForm.people.first_name"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Имя на англ." prop="">
        <el-input v-model="this.personForm.people.first_name_eng"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Отчество" prop="">
        <el-input v-model="this.personForm.people.patronymic"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Отчество на англ." prop="">
        <el-input v-model="this.personForm.people.patronymic_eng"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Пол" prop="">
        <el-select v-model="this.personForm.people.pol_id" placeholder="Пол">
          <el-option
              v-for="item in this.dictionaries.pol_type"
              :key="item.id"
              :label="item.name"
              :value="item.id"
          />
        </el-select>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="ИИН" prop="">
        <el-input v-model="this.personForm.people.inn"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Дата рождения" prop="">
        <el-date-picker
            v-model="this.personForm.people.birth_date"
            type="date"
            placeholder="Дата рождения"
            format="YYYY/MM/DD"
            value-format="YYYY-MM-DD"
        />
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Дата смерти" prop="">
        <el-date-picker
            v-model="this.personForm.people.death_date"
            type="date"
            placeholder="Дата смерти"
            format="YYYY/MM/DD"
            value-format="YYYY-MM-DD"
        />
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="TIN" prop="">
        <el-input v-model="this.personForm.people.tin"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="СНИЛС" prop="">
        <el-input v-model="this.personForm.people.snils"/>
      </el-form-item>
    </el-col>
  </el-row>
</template>

<script>
import moment from "moment";
export default {
  data:()=>({
    loading: false,
  }),
  methods:{
    dateFormat(data){
      return moment(data).format('DD.MM.YYYY')
    }
  },
  computed:{
    personForm() {
      return this.$store.getters.get_person_form;
    },
    dictionaries() {
      return this.$store.getters.get_dictionaries;
    },
    options() {
      return this.$store.getters.get_options;
    }
  }
}
</script>